function [V_r,V_s,V_t] = GradVandermondeMatrices3D(N,r,s,t)

% Initialize the gradient of the modal basis at (r,s) at order N

N_p = length(r);
V_r = zeros(N_p); V_s = zeros(N_p); V_t = zeros(N_p);

[a,b,c] = rsttoabc(r,s,t);

col = 1;
for i = 0:N
	for j = 0:(N - i)
        for k = 0:(N - i  j)
		    [vect1,vect2,vect3] = GradModalBaseValues3D(a,b,c,i,j,k);
		    V_r(:,col) = vect1'; V_s(:,col) = vect2'; V_t(:,col) = vect3';
		    col = col + 1;
        end
	end
end

end